# This file created by conda-build 3.24.0
# meta.yaml template originally from:
# /feedstock/recipe, last modified Wed Apr  5 13:37:44 2023
# ------------------------------------------------

package:
  name: ipython
  version: 8.12.0
source:
  sha256: a950236df04ad75b5bc7f816f9af3d74dc118fd42f2ff7e80e8e60ca1f182e2d
  url: https://pypi.io/packages/source/i/ipython/ipython-8.12.0.tar.gz
build:
  entry_points:
    - ipython = IPython:start_ipython
    - ipython3 = IPython:start_ipython
  number: '0'
  script: /croot/ipython_1680701871216/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold/bin/python
    -m pip install . -vv --no-deps
  script_env:
    - COV_THRESHOLD=50
    - MIGRATING=False
  string: py310h06a4308_0
requirements:
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - bzip2 1.0.8 h7b6447c_0
    - ca-certificates 2023.01.10 h06a4308_0
    - certifi 2022.12.7 py310h06a4308_0
    - ld_impl_linux-64 2.38 h1181459_1
    - libffi 3.4.2 h6a678d5_6
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libstdcxx-ng 11.2.0 h1234567_1
    - libuuid 1.41.5 h5eee18b_0
    - ncurses 6.4 h6a678d5_0
    - openssl 1.1.1t h7f8727e_0
    - pip 23.0.1 py310h06a4308_0
    - python 3.10.10 h7a1cb2a_2
    - readline 8.2 h5eee18b_0
    - setuptools 65.6.3 py310h06a4308_0
    - sqlite 3.41.1 h5eee18b_0
    - tk 8.6.12 h1ccaba5_0
    - tzdata 2023c h04d1e81_0
    - wheel 0.38.4 py310h06a4308_0
    - xz 5.2.10 h5eee18b_1
    - zlib 1.2.13 h5eee18b_0
  run:
    - backcall
    - decorator
    - jedi >=0.16
    - matplotlib-inline
    - pexpect >4.3
    - pickleshare
    - prompt-toolkit >3.0.30,<3.1.0,!=3.0.37
    - pygments >=2.4.0
    - python >=3.10,<3.11.0a0
    - stack_data
    - traitlets >=5
test:
  commands:
    - pip check
    - pygmentize -L | grep ipython
    - ipython -h
    - ipython3 -h
  requires:
    - curio
    - matplotlib-base !=3.2.0
    - nbformat
    - numpy >=1.21
    - pandas
    - pip
    - pygments
    - pytest <7.1
    - pytest-asyncio
    - pytest-cov
    - testpath
    - trio
about:
  description: 'IPython provides a rich architecture for interactive computing with

    a powerful interactive shell, a kernel for Jupyter, high performance

    tools for parallel computing, and more.

    '
  dev_url: https://github.com/ipython/ipython
  doc_url: https://ipython.readthedocs.io
  home: https://ipython.org
  license: BSD-3-Clause
  license_family: BSD
  license_file: LICENSE
  summary: 'IPython: Productive Interactive Computing'
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: c0289afd-21a3-4a08-95ab-ded671cdd4aa
  recipe-maintainers:
    - Carreau
    - blink1073
    - bollwyvl
    - ellisonbg
    - fperez
    - jakirkham
    - minrk
    - ocefpaf
    - pelson
    - takluyver
  remote_url: git@github.com:AnacondaRecipes/ipython-feedstock.git
  sha: a4cddfb8d3f75012ad78fe4818a8cab9e9c9c65d
